<?php
// Call WP Load
$wp_include = "../wp-load.php";$i = 0;
while (!file_exists($wp_include) && $i++ < 10) {$wp_include = "../$wp_include";} require($wp_include);
if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here","cloudfw"));	

$x = $_REQUEST["x"];
if (!wp_verify_nonce( $_REQUEST["nonce"], 'cloudfw')) die(__("Failed nonce check and the action aborted.","cloudfw"));


switch($x):

	default:
	
		echo lastupdates_news();

	break;
	case 'dissmiss':
	
		echo $_POST["version"];
		update_option(PFIX.'_last_checked_version', $_POST["version"]);

	break;

endswitch;

?>